## meep 1.23.0

=== debian/changelog ===
meep (1.23.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jul 2022 23:03:25 +0200

meep (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump soname from 27 to 28

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Jul 2022 18:34:02 +0000

meep (1.22.0-2) unstable; urgency=medium

  * fix build on i386

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Mar 2022 18:21:49 +0100

meep (1.22.0-1) unstable; urgency=medium

  * New upstream release, upload to unstable
  * debian/control: bump standard to 4.6.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 23 Feb 2022 18:21:49 +0000

meep (1.19.0-1) experimental; urgency=medium

  * New upstream release
  * soname bump of libmeep23 to libmeep24
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Jul 2021 19:34:45 +0200
