=== debian/control ===
Source: meep
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran
	, debhelper-compat (= 13)
	, quilt
	, libctl-dev (>= 4.5.0-8)
	, pkg-config
	, libharminv-dev (>= 1.4.1)
	, zlib1g-dev
	, libfftw3-dev
	, libgsl-dev
	, liblapack-dev
	, chrpath
	, libblas-dev
	, libhdf5-dev
	, swig
	, mpb-dev (>= 1.11.1-2) , mpb
	, python3-dev
	, python3-numpy
	, python3-h5py
	, python3-scipy
	, python3-matplotlib
	, libgdsii-dev
Standards-Version: 4.6.0
Homepage: https://meep.readthedocs.io
Vcs-Browser: https://salsa.debian.org/alteholz/meep
Vcs-Git: https://salsa.debian.org/alteholz/meep.git

Package: meep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: meep-mpi-default
	, meep-mpich2
	, meep-openmpi
Recommends: h5utils
Description: software package for FDTD simulation
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the software.

Package: libmeep28
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmeep-openmpi6
        , libmeep-openmpi7
        , libmeep-openmpi8
        , libmeep-openmpi12
        , libmeep-openmpi16
        , libmeep-openmpi17
        , libmeep-openmpi22
        , libmeep-openmpi23
        , libmeep-openmpi24
        , libmeep-openmpi27
        , libmeep-openmpi28
        , libmeep-lam4-6
        , libmeep-lam4-7
        , libmeep-lam4-8
        , libmeep-lam4-12
        , libmeep-lam4-16
        , libmeep-lam4-17
        , libmeep-lam4-22
        , libmeep-lam4-23
        , libmeep-lam4-24
        , libmeep-mpi-default6
        , libmeep-mpi-default7
        , libmeep-mpi-default8
        , libmeep-mpi-default12
        , libmeep-mpi-default16
        , libmeep-mpi-default17
        , libmeep-mpi-default22
        , libmeep-mpi-default23
        , libmeep-mpi-default24
        , libmeep-mpi-default27
        , libmeep-mpi-default28
        , libmeep-mpich2-6
        , libmeep-mpich2-7
        , libmeep-mpich2-8
        , libmeep-mpich2-12
        , libmeep-mpich2-16
        , libmeep-mpich2-17
        , libmeep-mpich2-22
        , libmeep-mpich2-23
        , libmeep-mpich2-24
        , libmeep6
        , libmeep7
        , libmeep8
        , libmeep10
        , libmeep12
        , libmeep16
        , libmeep17
        , libmeep22
        , libmeep23
        , libmeep24
        , libmeep27
Description: library for using meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the library.

Package: libmeep-dev
Section: libdevel
Architecture: any
Depends: libmeep28 (= ${binary:Version}), ${misc:Depends}
Conflicts: libmeep-mpi-dev
Description: development library for using meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains some files for developing software.

Package: python3-meep
Section: python
Architecture: any
Depends: libmeep28 (= ${binary:Version})
	, ${misc:Depends}
	, ${shlibs:Depends}
	, python3-numpy
	, python3
Description: software package for FDTD simulation with Python
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the Python binding
