## meep 1.25.0

=== debian/changelog ===
meep (1.25.0-4build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:47:17 +0200

meep (1.25.0-4) unstable; urgency=medium

  * debian/control: add dependency python3-matplotlib
                    (Closes: #1076280)
  * add debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Jul 2024 10:49:17 +0200

meep (1.25.0-3) unstable; urgency=medium

  * debian/control: add python3-setuptools as dependency
  * debian/control: add Rules-Requires-Root: no
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: add Testsuite: autopkgtest-pkg-python
                    (maybe Closes: #1035179)
  * debian/rules: activate tests again
  * add patch python-distutils.patch
    (Closes: #1074728)
    (Closes: #1068643)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Jul 2024 22:49:17 +0200

meep (1.25.0-2) unstable; urgency=medium

  * debian/control: also add Conflicts: for python3 packages
                    (Closes: #1034988)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 May 2023 22:49:17 +0200

meep (1.25.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: update github watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Dec 2022 00:04:02 +0100

meep (1.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Sep 2022 01:03:36 +0200
