=== debian/control ===
--- 
+++ 
@@ -22,11 +22,14 @@
 	, python3-h5py
 	, python3-scipy
 	, python3-matplotlib
+	, python3-setuptools
 	, libgdsii-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
 Vcs-Git: https://salsa.debian.org/alteholz/meep.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: meep
 Architecture: any
@@ -66,7 +69,7 @@
  .
  This package contains the software.
 
-Package: libmeep28
+Package: libmeep30
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -82,6 +85,8 @@
         , libmeep-openmpi24
         , libmeep-openmpi27
         , libmeep-openmpi28
+        , libmeep-openmpi29
+        , libmeep-openmpi30
         , libmeep-lam4-6
         , libmeep-lam4-7
         , libmeep-lam4-8
@@ -102,6 +107,8 @@
         , libmeep-mpi-default24
         , libmeep-mpi-default27
         , libmeep-mpi-default28
+        , libmeep-mpi-default29
+        , libmeep-mpi-default30
         , libmeep-mpich2-6
         , libmeep-mpich2-7
         , libmeep-mpich2-8
@@ -122,6 +129,8 @@
         , libmeep23
         , libmeep24
         , libmeep27
+        , libmeep28
+        , libmeep29
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -156,7 +165,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep28 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep30 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -192,11 +201,13 @@
 Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep28 (= ${binary:Version})
+Depends: libmeep30 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
 	, python3-numpy
+	, python3-matplotlib
 	, python3
+Conflicts: python3-meep-openmpi, python3-meep-mpi-default
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
