=== python/requirements.txt ===
autograd
h5py
jax
jaxlib
matplotlib
numpy
parameterized
pytest
scipy
