=== debian/changelog ===
meep (1.29.0-2) unstable; urgency=medium

  * debian/control: add forgotten Conflict (Closes: #1100468)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Mar 2025 12:42:08 +0100

meep (1.29.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: add call to dh_numpy3 (Closes: #1094928)
  * debian/control: only build on 64 bit architectures
    (Closes: #1097134)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Mar 2025 13:42:08 +0100
