=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	, python3-matplotlib
 	, python3-setuptools
 	, libgdsii-dev
+	, architecture-is-64-bit
 Standards-Version: 4.7.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
@@ -69,7 +70,7 @@
  .
  This package contains the software.
 
-Package: libmeep30
+Package: libmeep33
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -87,6 +88,7 @@
         , libmeep-openmpi28
         , libmeep-openmpi29
         , libmeep-openmpi30
+        , libmeep-openmpi33
         , libmeep-lam4-6
         , libmeep-lam4-7
         , libmeep-lam4-8
@@ -109,6 +111,7 @@
         , libmeep-mpi-default28
         , libmeep-mpi-default29
         , libmeep-mpi-default30
+        , libmeep-mpi-default33
         , libmeep-mpich2-6
         , libmeep-mpich2-7
         , libmeep-mpich2-8
@@ -131,6 +134,7 @@
         , libmeep27
         , libmeep28
         , libmeep29
+        , libmeep30
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -165,7 +169,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep30 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep33 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -201,7 +205,7 @@
 Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep30 (= ${binary:Version})
+Depends: libmeep33 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
 	, python3-numpy
