=== debian/rules ===
--- 
+++ 
@@ -80,3 +80,7 @@
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/mpb/__pycache__/
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_numpy3
